%define username _mysqlproxy

Name: mysql-proxy
Version: 0.7.2
Release: alt1

Packager: Victor Forsyuk <force@altlinux.org>

Summary: MySQL Proxy
License: GPLv2
Group: Databases

Url: http://forge.mysql.com/wiki/MySQL_Proxy
Source0: http://mysql.infocom.ua/Downloads/MySQL-Proxy/mysql-proxy-%version.tar.gz
Source1: mysql-proxy.init
Source2: mysql-proxy.sysconfig

# Automatically added by buildreq on Wed Nov 25 2009
BuildRequires: MySQL-client flex glib2-devel libMySQL-devel libevent1.4-devel liblua5-devel

%description
MySQL Proxy is a simple program that sits between your client and MySQL
server(s) that can monitor, analyze or transform their communication. Its
flexibility allows for unlimited uses; common ones include: load balancing;
failover; query analysis; query filtering and modification; and many more.

%prep
%setup

%build
# Upstream does not care about 64-bit library path, so fix it:
subst 's/g_build_filename(base_dir, "lib"/g_build_filename(base_dir, "%_lib"/g' src/chassis.c
subst 's/g_build_filename(srv->base_dir, "lib"/g_build_filename(srv->base_dir, "%_lib"/g' src/chassis.c

%configure
%make_build

%install
%makeinstall_std

install -pD -m755 %SOURCE1 %buildroot%_initdir/mysql-proxy
install -pD -m644 %SOURCE2 %buildroot/etc/sysconfig/mysql-proxy
install -d %buildroot%_datadir/mysql-proxy
install -p -m644 examples/*.lua %buildroot%_datadir/mysql-proxy/
install -p -m644 lib/*.lua %buildroot%_datadir/mysql-proxy/

# cleanup
find %buildroot%_libdir -name "*.la" -print0 | xargs -r0 rm -f

%pre
%_sbindir/groupadd -r -f %username &>/dev/null
%_sbindir/useradd -r -g %username -d %_libdir/mysql-proxy -s /dev/null \
        -c "MySQL Proxy pseudouser" -M -n %username &>/dev/null ||:

%post
%post_service mysql-proxy

%preun
%preun_service mysql-proxy

%files
%_initdir/mysql-proxy
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/mysql-proxy
%_sbindir/mysql-proxy
%_bindir/*
%_libdir/libmysql-*
%_libdir/mysql-proxy
%_datadir//mysql-proxy

%changelog
* Wed Nov 25 2009 Victor Forsyuk <force@altlinux.org> 0.7.2-alt1
- 0.7.2
- Refresh build requirements.
- Create subdir in /var/run when init-script run to handle situation
  of "gone" subdir (such as /var/run on temporarily filesystem).

* Tue Mar 18 2008 Pavlov Konstantin <thresh@altlinux.ru> 0.6.1-alt1
- Initial build for ALT Linux based on PLD specfile.
